## bluedevil 6.3.5

=== debian/changelog ===
bluedevil (4:6.3.5-0ubuntu1) questing; urgency=medium

  * New upstream release (6.3.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 06 May 2025 21:32:12 +0100

bluedevil (4:6.3.4-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.4)

 -- Rik Mills <rikmills@kde.org>  Wed, 02 Apr 2025 08:53:14 +0100

bluedevil (4:6.3.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 11 Mar 2025 15:14:24 +0000

bluedevil (4:6.3.2-1ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - debian/patches: lubuntu_only-show-in-lxqt.patch
      Show wizard and sendfile in LXQt menus.
    - debian/patches: lubuntu_add-to-system-category.patch
      Add wizard and sendfile to System category.
    - debian/control:Drop pulseaudio-module-bluetooth recommends.

 -- Rik Mills <rikmills@kde.org>  Sun, 09 Mar 2025 09:28:31 +0000

=== debian/control ===
Source: bluedevil
Section: net
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               extra-cmake-modules (>= 6.10.0~),
               gettext,
               libkf6bluezqt-dev (>= 6.10.0~),
               libkf6coreaddons-dev (>= 6.10.0~),
               libkf6dbusaddons-dev (>= 6.10.0~),
               libkf6doctools-dev (>= 6.10.0~),
               libkf6i18n-dev (>= 6.10.0~),
               libkf6jobwidgets-dev (>= 6.10.0~),
               libkf6kcmutils-dev (>= 6.10.0~),
               libkf6kio-dev (>= 6.10.0~),
               libkf6notifications-dev (>= 6.10.0~),
               libkf6service-dev (>= 6.10.0~),
               libkf6svg-dev (>= 6.10.0~),
               libkf6widgetsaddons-dev (>= 6.10.0~),
               libkf6windowsystem-dev (>= 6.10.0~),
               libplasma-dev (>= 6.3.5~),
               qt6-base-dev (>= 6.7.0~),
               qt6-declarative-dev (>= 6.7.0~),
               qt6-declarative-private-dev,
               shared-mime-info,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/plasma/bluedevil
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/bluedevil
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/bluedevil
Rules-Requires-Root: no

Package: bluedevil
Architecture: linux-any
Depends: bluez (>= 5),
         bluez-obexd,
         plasma-desktoptheme,
         qml6-module-org-kde-bluezqt,
         qml6-module-org-kde-kcmutils,
         qml6-module-org-kde-kirigami,
         qml6-module-org-kde-kquickcontrolsaddons,
         qml6-module-org-kde-ksvg,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-dialogs,
         qml6-module-qtquick-layouts,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libspa-0.2-bluetooth, systemsettings
Description: KDE Bluetooth stack
 BlueDevil is a set of components which integrate Bluetooth in KDE.
 It contains:
  * A KDE Control Module (KCM) to configure all the Bluetooth-related options.
  * Integration with the KDE input/output system (KIO), which allows you to
    discover and explore Bluetooth devices from your favorite file browser.
  * A wizard to pair your devices and connect directly to services they offer,
    such as input (mouse, keyboard, Wiimote) and audio (headsets, phones).
  * A system tray application from where all BlueDevil actions can be done
    (disconnect devices, send files, configure, etc).
  * A daemon which listens to incoming requests, for example to receive files
    or to introduce a requested PIN.

## bluedevil 6.4.2

=== debian/changelog ===
bluedevil (4:6.4.2-0zneon+24.04+noble+release+build24) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Fri, 04 Jul 2025 22:03:12 +0000

bluedevil (4:6.4.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 04 Jul 2025 11:40:35 +0000

bluedevil (4:6.4.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 24 Jun 2025 23:32:40 +0000

bluedevil (4:6.4.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 12 Jun 2025 12:01:26 +0000

bluedevil (4:6.3.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 May 2025 20:41:54 +0000

bluedevil (4:6.3.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 02 Apr 2025 06:50:34 +0000

bluedevil (4:6.3.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Mar 2025 14:52:32 +0000

bluedevil (4:6.3.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 25 Feb 2025 16:55:58 +0000

bluedevil (4:6.3.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 18 Feb 2025 14:39:03 +0000

bluedevil (4:6.3.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 13:16:25 +0000

bluedevil (4:6.2.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Jan 2025 02:43:11 +0000

bluedevil (4:6.2.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Nov 2024 13:18:18 +0000

bluedevil (4:6.2.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 22 Oct 2024 13:56:30 +0000

bluedevil (4:6.2.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Oct 2024 15:46:12 +0000

bluedevil (4:6.2.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Oct 2024 15:51:46 +0000

bluedevil (4:6.1.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 Sep 2024 12:24:38 +0000

bluedevil (4:6.1.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 16 Jul 2024 12:58:57 +0000

bluedevil (4:6.1.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 02 Jul 2024 15:20:27 +0000

bluedevil (4:6.1.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 25 Jun 2024 16:57:02 +0000

bluedevil (4:6.1.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 15 Jun 2024 08:29:55 +0000

bluedevil (4:6.0.5.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 16 Apr 2024 12:45:48 +0000

bluedevil (4:6.0.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 26 Mar 2024 18:08:05 +0000

bluedevil (4:6.0.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Mar 2024 17:37:50 +0000

bluedevil (4:6.0.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Mar 2024 23:54:15 +0000

bluedevil (4:6.0.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 22 Feb 2024 17:14:08 +0000

bluedevil (4:5.91.90-0neon) jammy; urgency=medium

  * new release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Wed, 10 Jan 2024 16:11:45 +1000

bluedevil (4:5.27.10-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Dec 2023 20:43:19 +0000

bluedevil (4:5.27.9-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 24 Oct 2023 14:52:52 +0000

bluedevil (4:5.27.8-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Sep 2023 12:00:42 +0000

bluedevil (4:5.27.7-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 01 Aug 2023 11:15:40 +0000

bluedevil (4:5.27.6-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 20 Jun 2023 16:01:31 +0000

bluedevil (4:5.27.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 10 May 2023 16:20:16 +0000

bluedevil (4:5.27.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 04 Apr 2023 12:21:59 +0000

bluedevil (4:5.27.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Mar 2023 11:08:20 +0000

bluedevil (4:5.27.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 21 Feb 2023 14:28:02 +0000

bluedevil (4:5.27.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 04 Jan 2023 10:20:36 +0000

bluedevil (4:5.26.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 29 Nov 2022 13:38:52 +0000

bluedevil (4:5.26.3.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 08 Nov 2022 20:46:35 +0000

bluedevil (4:5.26.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 26 Oct 2022 11:33:55 +0000

bluedevil (4:5.26.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 21 Oct 2022 14:15:46 +0000

bluedevil (4:5.26.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 09 Oct 2022 09:53:34 +0000

bluedevil (4:5.25.5-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Sep 2022 15:33:19 +0000

bluedevil (4:5.25.4-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Jul 2022 16:03:33 +0000

bluedevil (4:5.25.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 28 Jun 2022 13:02:51 +0000

bluedevil (4:5.25.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 13 Jun 2022 22:31:46 +0000

bluedevil (4:5.24.5-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 03 May 2022 12:19:20 +0000

bluedevil (4:5.24.4-0neon) focal; urgency=medium

  * New release



## bluedevil 6.4.3

=== debian/changelog ===
bluedevil (4:6.4.3-0zneon+24.04+noble+release+build25) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Tue, 15 Jul 2025 21:42:25 +0000

bluedevil (4:6.4.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Jul 2025 11:07:09 +0000

## bluedevil 6.4.4

=== debian/changelog ===
bluedevil (4:6.4.4-0ubuntu1) questing; urgency=medium

  * New upstream release (6.4.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Aug 2025 17:26:32 +0100

=== debian/control ===
--- 
+++ 
@@ -10,25 +10,25 @@
                debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               extra-cmake-modules (>= 6.10.0~),
+               extra-cmake-modules (>= 6.14.0~),
                gettext,
-               libkf6bluezqt-dev (>= 6.10.0~),
-               libkf6coreaddons-dev (>= 6.10.0~),
-               libkf6dbusaddons-dev (>= 6.10.0~),
-               libkf6doctools-dev (>= 6.10.0~),
-               libkf6i18n-dev (>= 6.10.0~),
-               libkf6jobwidgets-dev (>= 6.10.0~),
-               libkf6kcmutils-dev (>= 6.10.0~),
-               libkf6kio-dev (>= 6.10.0~),
-               libkf6notifications-dev (>= 6.10.0~),
-               libkf6service-dev (>= 6.10.0~),
-               libkf6svg-dev (>= 6.10.0~),
-               libkf6widgetsaddons-dev (>= 6.10.0~),
-               libkf6windowsystem-dev (>= 6.10.0~),
-               libplasma-dev (>= 6.3.5~),
-               qt6-base-dev (>= 6.7.0~),
-               qt6-declarative-dev (>= 6.7.0~),
-               qt6-declarative-private-dev,
+               libkf6bluezqt-dev (>= 6.14.0~),
+               libkf6coreaddons-dev (>= 6.14.0~),
+               libkf6dbusaddons-dev (>= 6.14.0~),
+               libkf6doctools-dev (>= 6.14.0~),
+               libkf6i18n-dev (>= 6.14.0~),
+               libkf6jobwidgets-dev (>= 6.14.0~),
+               libkf6kcmutils-dev (>= 6.14.0~),
+               libkf6kio-dev (>= 6.14.0~),
+               libkf6notifications-dev (>= 6.14.0~),
+               libkf6service-dev (>= 6.14.0~),
+               libkf6svg-dev (>= 6.14.0~),
+               libkf6widgetsaddons-dev (>= 6.14.0~),
+               libkf6windowsystem-dev (>= 6.14.0~),
+               libplasma-dev (>= 6.4.4~),
+               qt6-base-dev (>= 6.8.0~),
+               qt6-declarative-dev (>= 6.8.0~),
+               qt6-declarative-private-dev (>= 6.8.0~),
                shared-mime-info,
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/plasma/bluedevil

## bluedevil 6.4.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

project(bluedevil)
set(PROJECT_VERSION "6.4.5")

set(PROJECT_DEP_VERSION "6.4.5")
set(QT_MIN_VERSION "6.8.0")
set(KF6_MIN_VERSION "6.14.0")
set(KDE_COMPILERSETTINGS_LEVEL "5.82")

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

find_package(ECM ${KF6_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
include(KDEInstallDirs)

find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
    Core
    DBus
    Qml
    Widgets
)

find_package(KF6 ${KF6_MIN_VERSION} REQUIRED COMPONENTS
    BluezQt
    CoreAddons
    DBusAddons
    I18n
    JobWidgets
    KCMUtils
    KIO
    Notifications
    Service
    Svg
    WidgetsAddons
    WindowSystem
)

find_package(Plasma ${PROJECT_DEP_VERSION} REQUIRED)

find_package(SharedMimeInfo REQUIRED)

find_package(KF6DocTools ${KF6_MIN_VERSION})
set_package_properties(KF6DocTools PROPERTIES
    DESCRIPTION "Tools to generate documentation"
    TYPE OPTIONAL
)
find_package(KF6Kirigami ${KF6_MIN_VERSION} CONFIG)
set_package_properties(KF6Kirigami PROPERTIES
    TYPE RUNTIME
)

include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMOptionalAddSubdirectory)
include(FeatureSummary)
include(KDEClangFormat)
include(ECMSetupVersion)
include(ECMQtDeclareLoggingCategory)
include(ECMQmlModule)

add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050f00)
add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055900)

include(KDEGitCommitHooks)

ecm_setup_version(${PROJECT_VERSION}
    VARIABLE_PREFIX BLUEDEVIL
    VERSION_HEADER ${CMAKE_BINARY_DIR}/version.h
)

include_directories(${CMAKE_CURRENT_BINARY_DIR})

add_subdirectory(src)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
ecm_qt_install_logging_categories(
    EXPORT BLUEDEVIL
    FILE bluedevil.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

if(KF6DocTools_FOUND)
    add_subdirectory(doc)
    kdoctools_install(po)
endif()

ki18n_install(po)

=== doc/CMakeLists.txt ===
kdoctools_create_handbook(index.docbook
                          INSTALL_DESTINATION ${KDE_INSTALL_DOCBUNDLEDIR}/en
                          SUBDIR kcontrol/bluedevil)

=== src/kcm/CMakeLists.txt ===
kcmutils_add_qml_kcm(kcm_bluetooth SOURCES bluetooth.cpp bluetooth.h)

kconfig_add_kcfg_files(kcm_bluetooth GENERATE_MOC ../settings/filereceiversettings.kcfgc)
kconfig_add_kcfg_files(kcm_bluetooth GENERATE_MOC ../settings/bluedevilglobalsettings.kcfgc)

target_link_libraries(kcm_bluetooth PRIVATE
    Qt::Gui
    Qt::Qml
    Qt::DBus

    KF6::BluezQt
    KF6::ConfigGui
    KF6::CoreAddons
    KF6::I18n
    KF6::KCMUtilsQuick
    KF6::KIOGui
    KF6::Service
)

=== debian/changelog ===
bluedevil (4:6.4.5-0ubuntu1) questing; urgency=medium

  * New upstream release (6.4.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 09 Sep 2025 17:00:13 +0100

=== debian/control ===
--- 
+++ 
@@ -25,7 +25,7 @@
                libkf6svg-dev (>= 6.14.0~),
                libkf6widgetsaddons-dev (>= 6.14.0~),
                libkf6windowsystem-dev (>= 6.14.0~),
-               libplasma-dev (>= 6.4.4~),
+               libplasma-dev (>= 6.4.5~),
                qt6-base-dev (>= 6.8.0~),
                qt6-declarative-dev (>= 6.8.0~),
                qt6-declarative-private-dev (>= 6.8.0~),

## bluedevil 6.4.5+p24.04+vstable+git20250926.0954

=== debian/changelog ===
bluedevil (4:6.4.5+p24.04+vstable+git20250926.0954-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 26 Sep 2025 09:54:40 +0000

bluedevil (4:6.4.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Sep 2025 03:47:04 +0000

bluedevil (4:6.4.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Aug 2025 22:04:22 +0000

## bluedevil 6.4.5+p24.04+vstable+git20251004.0410

=== debian/changelog ===
bluedevil (4:6.4.5+p24.04+vstable+git20251004.0410-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 04 Oct 2025 04:10:25 +0000

## bluedevil 6.4.5+p24.04+vstable+git20251015.1459

=== debian/changelog ===
bluedevil (4:6.4.5+p24.04+vstable+git20251015.1459-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 14:59:13 +0000

## bluedevil 6.4.5+p24.04+vstable+git20251019.0247

=== debian/changelog ===
bluedevil (4:6.4.5+p24.04+vstable+git20251019.0247-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 02:47:34 +0000

## bluedevil 6.4.91

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(bluedevil)
-set(PROJECT_VERSION "6.4.5")
+set(PROJECT_VERSION "6.4.91")
 
-set(PROJECT_DEP_VERSION "6.4.5")
-set(QT_MIN_VERSION "6.8.0")
-set(KF6_MIN_VERSION "6.14.0")
+set(PROJECT_DEP_VERSION "6.4.91")
+set(QT_MIN_VERSION "6.9.0")
+set(KF6_MIN_VERSION "6.18.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")
 
 set(CMAKE_CXX_STANDARD 20)
@@ -19,6 +19,7 @@
     Core
     DBus
     Qml
+    Quick
     Widgets
 )

=== debian/changelog ===
bluedevil (4:6.4.91-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.4.91).
  * Update build-deps and deps with the info from cmake.
  * Drop backported commits now part of the upstream release.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 05 Oct 2025 13:24:03 +0200

=== debian/control ===
Source: bluedevil
Section: net
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.18.0~),
               gettext,
               libkf6bluezqt-dev (>= 6.18.0~),
               libkf6coreaddons-dev (>= 6.18.0~),
               libkf6dbusaddons-dev (>= 6.18.0~),
               libkf6doctools-dev (>= 6.18.0~),
               libkf6i18n-dev (>= 6.18.0~),
               libkf6jobwidgets-dev (>= 6.18.0~),
               libkf6kcmutils-dev (>= 6.18.0~),
               libkf6kio-dev (>= 6.18.0~),
               libkf6notifications-dev (>= 6.18.0~),
               libkf6service-dev (>= 6.18.0~),
               libkf6svg-dev (>= 6.18.0~),
               libkf6widgetsaddons-dev (>= 6.18.0~),
               libkf6windowsystem-dev (>= 6.18.0~),
               libplasma-dev (>= 6.4.91~),
               qt6-base-dev (>= 6.9.0~),
               qt6-declarative-dev (>= 6.9.0~),
               qt6-declarative-private-dev,
               shared-mime-info,
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/plasma/bluedevil
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/bluedevil.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/bluedevil
Rules-Requires-Root: no

Package: bluedevil
Architecture: linux-any
Depends: bluez (>= 5),
         bluez-obexd,
         plasma-desktoptheme,
         qml6-module-org-kde-bluezqt,
         qml6-module-org-kde-kcmutils,
         qml6-module-org-kde-kirigami,
         qml6-module-org-kde-kquickcontrolsaddons,
         qml6-module-org-kde-ksvg,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-dialogs,
         qml6-module-qtquick-layouts,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libspa-0.2-bluetooth | pulseaudio-module-bluetooth,
            systemsettings,
Description: KDE Bluetooth stack
 BlueDevil is a set of components which integrate Bluetooth in KDE.
 It contains:
  * A KDE Control Module (KCM) to configure all the Bluetooth-related options.
  * Integration with the KDE input/output system (KIO), which allows you to
    discover and explore Bluetooth devices from your favorite file browser.
  * A wizard to pair your devices and connect directly to services they offer,
    such as input (mouse, keyboard, Wiimote) and audio (headsets, phones).
  * A system tray application from where all BlueDevil actions can be done
    (disconnect devices, send files, configure, etc).
  * A daemon which listens to incoming requests, for example to receive files
    or to introduce a requested PIN.

## bluedevil 6.5.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(bluedevil)
-set(PROJECT_VERSION "6.4.91")
+set(PROJECT_VERSION "6.5.0")
 
-set(PROJECT_DEP_VERSION "6.4.91")
+set(PROJECT_DEP_VERSION "6.5.0")
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")

=== debian/changelog ===
bluedevil (4:6.5.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.0).
  * Update build-deps and deps with the info from cmake.
  * Refresh copyright information.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 16 Oct 2025 21:59:46 +0200

=== debian/control ===
--- 
+++ 
@@ -24,7 +24,7 @@
                libkf6svg-dev (>= 6.18.0~),
                libkf6widgetsaddons-dev (>= 6.18.0~),
                libkf6windowsystem-dev (>= 6.18.0~),
-               libplasma-dev (>= 6.4.91~),
+               libplasma-dev (>= 6.5.0~),
                qt6-base-dev (>= 6.9.0~),
                qt6-declarative-dev (>= 6.9.0~),
                qt6-declarative-private-dev,
@@ -33,7 +33,6 @@
 Homepage: https://invent.kde.org/plasma/bluedevil
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/bluedevil.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/bluedevil
-Rules-Requires-Root: no
 
 Package: bluedevil
 Architecture: linux-any

## bluedevil 6.5.0+p24.04+vstable+git20251021.0849

=== debian/changelog ===
bluedevil (4:6.5.0+p24.04+vstable+git20251021.0849-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 08:49:57 +0000

bluedevil (4:6.5.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 06:18:15 +0000

## bluedevil 6.5.0+p24.04+vstable+git20251024.0243

=== debian/changelog ===
bluedevil (4:6.5.0+p24.04+vstable+git20251024.0243-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 24 Oct 2025 02:43:22 +0000

## bluedevil 6.5.1

=== debian/changelog ===
bluedevil (4:6.5.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.1).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 28 Oct 2025 23:15:26 +0100

=== debian/control ===
--- 
+++ 
@@ -24,7 +24,7 @@
                libkf6svg-dev (>= 6.18.0~),
                libkf6widgetsaddons-dev (>= 6.18.0~),
                libkf6windowsystem-dev (>= 6.18.0~),
-               libplasma-dev (>= 6.5.0~),
+               libplasma-dev (>= 6.5.1~),
                qt6-base-dev (>= 6.9.0~),
                qt6-declarative-dev (>= 6.9.0~),
                qt6-declarative-private-dev,

## bluedevil 6.5.1+p24.04+vstable+git20251029.0620

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(bluedevil)
-set(PROJECT_VERSION "6.5.0")
+set(PROJECT_VERSION "6.5.2")
 
-set(PROJECT_DEP_VERSION "6.5.0")
+set(PROJECT_DEP_VERSION "6.5.1")
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")

=== debian/changelog ===
bluedevil (4:6.5.1+p24.04+vstable+git20251029.0620-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 29 Oct 2025 06:20:52 +0000

bluedevil (4:6.5.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 29 Oct 2025 05:35:42 +0000

=== debian/control ===
Source: bluedevil
Section: net
Priority: optional
Uploaders: Florian Reinhard <florian.reinhard@googlemail.com>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Mark Purcell <msp@debian.org>,
           Modestas Vainius <modax@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-bluez-qt-dev,
               kf6-extra-cmake-modules,
               kf6-kcmutils-dev,
               kf6-kcolorscheme-dev,
               kf6-kcoreaddons-dev,
               kf6-kdbusaddons-dev,
               kf6-kdeclarative-dev,
               kf6-kded-dev,
               kf6-kdoctools-dev,
               kf6-ki18n-dev,
               kf6-kiconthemes-dev,
               kf6-kio-dev,
               kf6-kirigami2-dev,
               kf6-knotifications-dev,
               kf6-ksvg-dev,
               kf6-kwidgetsaddons-dev,
               kf6-kwindowsystem-dev,
               libplasma-dev,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-declarative-dev,
               shared-mime-info
Standards-Version: 4.6.2
Homepage: https://projects.kde.org/projects/kde/workspace/bluedevil
Vcs-Git: https://invent.kde.org/neon/kde/bluedevil.git
Vcs-Browser: https://invent.kde.org/neon/kde/bluedevil
Maintainer: Neon CI <neon@kde.org>

Package: bluedevil
Architecture: linux-any
Depends: bluez (>= 5),
         bluez-obexd,
         kf6-bluez-qt,
         kf6-kdeclarative,
         kf6-kio,
         kf6-kirigami2,
         libplasma6,
         qml6-module-qtquick,
         qml6-module-qtquick-layouts,
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: pulseaudio-module-bluetooth | bluez-alsa
Description: KDE Bluetooth stack
 BlueDevil is a set of components which integrate Bluetooth in KDE.
 It contains:
  * A KDE Control Module (KCM) to configure all the Bluetooth-related options.
  * Integration with the KDE input/output system (KIO), which allows you to
    discover and explore Bluetooth devices from your favorite file browser.
  * A wizard to pair your devices and connect directly to services they offer,
    such as input (mouse, keyboard, Wiimote) and audio (headsets, phones).
  * A system tray application from where all BlueDevil actions can be done
    (disconnect devices, send files, configure, etc).
  * A daemon which listens to incoming requests, for example to receive files
    or to introduce a requested PIN.

## bluedevil 6.5.2

=== src/kded/CMakeLists.txt ===

set(kded_bluedevil_SRCS
    bluedevildaemon.cpp bluedevildaemon.h
    devicemonitor.cpp devicemonitor.h
    bluezagent.cpp bluezagent.h
    obexftp.cpp
    obexagent.cpp obexagent.h
    receivefilejob.cpp receivefilejob.h
    helpers/requestauthorization.cpp helpers/requestauthorization.h
    helpers/requestconfirmation.cpp helpers/requestconfirmation.h
    helpers/requestpin.cpp helpers/requestpin.h
)

ecm_qt_declare_logging_category(kded_bluedevil_SRCS
    HEADER bluedevil_kded.h
    IDENTIFIER BLUEDEVIL_KDED_LOG
    CATEGORY_NAME org.kde.plasma.bluedevil.kded
    DESCRIPTION "BlueDevil (kded)"
    EXPORT BLUEDEVIL
)

ki18n_wrap_ui(kded_bluedevil_SRCS
    helpers/requestpin.ui
)

kconfig_add_kcfg_files(kded_bluedevil_SRCS GENERATE_MOC ../settings/filereceiversettings.kcfgc)
kconfig_add_kcfg_files(kded_bluedevil_SRCS GENERATE_MOC ../settings/bluedevilglobalsettings.kcfgc)

kcoreaddons_add_plugin(kded_bluedevil INSTALL_NAMESPACE "kf6/kded" SOURCES ${kded_bluedevil_SRCS})
set_target_properties(kded_bluedevil PROPERTIES OUTPUT_NAME bluedevil)

target_link_libraries(kded_bluedevil
    Qt::Gui

    KF6::BluezQt
    KF6::ConfigGui
    KF6::CoreAddons
    KF6::DBusAddons
    KF6::I18n
    KF6::KIOCore
    KF6::KIOFileWidgets
    KF6::Notifications
    KF6::WindowSystem
)

=== src/kio/bluetooth/CMakeLists.txt ===
set(kio_bluetooth_SRCS
    kiobluetooth.cpp kiobluetooth.h
)

set(kded_bluedevil.xml ${CMAKE_SOURCE_DIR}/src/interfaces/kded_bluedevil.xml)
set_source_files_properties(${kded_bluedevil.xml} PROPERTIES INCLUDE ../../interfaces/kded_bluedevil_types.h)
qt_add_dbus_interface(kio_bluetooth_SRCS ${kded_bluedevil.xml} kdedbluedevil)

kconfig_add_kcfg_files(kio_bluetooth_SRCS GENERATE_MOC ../../settings/filereceiversettings.kcfgc)

add_library(kio_bluetooth MODULE ${kio_bluetooth_SRCS})

target_link_libraries(kio_bluetooth
    Qt::Core
    Qt::DBus
    Qt::Network

    KF6::ConfigGui
    KF6::CoreAddons
    KF6::I18n
    KF6::KIOCore
)

target_include_directories(kio_bluetooth
    PUBLIC $<TARGET_PROPERTY:KF6::BluezQt,INTERFACE_INCLUDE_DIRECTORIES>
)

########### install files ###############
install(TARGETS kio_bluetooth DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf6/kio)
install(FILES bluetooth-network.desktop DESTINATION ${KDE_INSTALL_DATADIR}/remoteview)

=== debian/changelog ===
bluedevil (4:6.5.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Migrate to debian/watch version 5 syntax.
  * Add/update David Edmundson’s key in upstream keyring.
  * New upstream release (6.5.2).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 04 Nov 2025 21:33:36 +0100

=== debian/control ===
Source: bluedevil
Section: net
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.18.0~),
               gettext,
               libkf6bluezqt-dev (>= 6.18.0~),
               libkf6coreaddons-dev (>= 6.18.0~),
               libkf6dbusaddons-dev (>= 6.18.0~),
               libkf6doctools-dev (>= 6.18.0~),
               libkf6i18n-dev (>= 6.18.0~),
               libkf6jobwidgets-dev (>= 6.18.0~),
               libkf6kcmutils-dev (>= 6.18.0~),
               libkf6kio-dev (>= 6.18.0~),
               libkf6notifications-dev (>= 6.18.0~),
               libkf6service-dev (>= 6.18.0~),
               libkf6svg-dev (>= 6.18.0~),
               libkf6widgetsaddons-dev (>= 6.18.0~),
               libkf6windowsystem-dev (>= 6.18.0~),
               libplasma-dev (>= 6.5.2~),
               qt6-base-dev (>= 6.9.0~),
               qt6-declarative-dev (>= 6.9.0~),
               qt6-declarative-private-dev,
               shared-mime-info,
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/plasma/bluedevil
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/bluedevil.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/bluedevil

Package: bluedevil
Architecture: linux-any
Depends: bluez (>= 5),
         bluez-obexd,
         plasma-desktoptheme,
         qml6-module-org-kde-bluezqt,
         qml6-module-org-kde-kcmutils,
         qml6-module-org-kde-kirigami,
         qml6-module-org-kde-kquickcontrolsaddons,
         qml6-module-org-kde-ksvg,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-dialogs,
         qml6-module-qtquick-layouts,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libspa-0.2-bluetooth | pulseaudio-module-bluetooth,
            systemsettings,
Description: KDE Bluetooth stack
 BlueDevil is a set of components which integrate Bluetooth in KDE.
 It contains:
  * A KDE Control Module (KCM) to configure all the Bluetooth-related options.
  * Integration with the KDE input/output system (KIO), which allows you to
    discover and explore Bluetooth devices from your favorite file browser.
  * A wizard to pair your devices and connect directly to services they offer,
    such as input (mouse, keyboard, Wiimote) and audio (headsets, phones).
  * A system tray application from where all BlueDevil actions can be done
    (disconnect devices, send files, configure, etc).
  * A daemon which listens to incoming requests, for example to receive files
    or to introduce a requested PIN.

## bluedevil 6.5.3

=== debian/changelog ===
bluedevil (4:6.5.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.3).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 18 Nov 2025 19:25:05 +0100

=== debian/control ===
--- 
+++ 
@@ -24,7 +24,7 @@
                libkf6svg-dev (>= 6.18.0~),
                libkf6widgetsaddons-dev (>= 6.18.0~),
                libkf6windowsystem-dev (>= 6.18.0~),
-               libplasma-dev (>= 6.5.2~),
+               libplasma-dev (>= 6.5.3~),
                qt6-base-dev (>= 6.9.0~),
                qt6-declarative-dev (>= 6.9.0~),
                qt6-declarative-private-dev,

## bluedevil 6.5.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(bluedevil)
-set(PROJECT_VERSION "6.5.2")
+set(PROJECT_VERSION "6.5.4")
 
-set(PROJECT_DEP_VERSION "6.5.1")
+set(PROJECT_DEP_VERSION "6.5.4")
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")

=== debian/changelog ===
bluedevil (4:6.5.4-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.4).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 09 Dec 2025 20:52:38 +0100

=== debian/control ===
--- 
+++ 
@@ -24,7 +24,7 @@
                libkf6svg-dev (>= 6.18.0~),
                libkf6widgetsaddons-dev (>= 6.18.0~),
                libkf6windowsystem-dev (>= 6.18.0~),
-               libplasma-dev (>= 6.5.3~),
+               libplasma-dev (>= 6.5.4~),
                qt6-base-dev (>= 6.9.0~),
                qt6-declarative-dev (>= 6.9.0~),
                qt6-declarative-private-dev,

## bluedevil 6.5.4+p24.04+vstable+git20260101.0041

=== debian/changelog ===
bluedevil (4:6.5.4+p24.04+vstable+git20260101.0041-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 01 Jan 2026 00:41:51 +0000

bluedevil (4:6.5.4-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 20:23:01 +1000

bluedevil (4:6.5.3-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 09:14:41 +1000

bluedevil (4:6.5.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 06 Nov 2025 19:13:50 +1000

## bluedevil 6.5.4+p24.04+vstable+git20260105.0848

=== debian/changelog ===
bluedevil (4:6.5.4+p24.04+vstable+git20260105.0848-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 05 Jan 2026 08:48:41 +0000

## bluedevil 6.5.4+p24.04+vunstable+git20251211.0319

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(bluedevil)
-set(PROJECT_VERSION "6.5.4")
+set(PROJECT_VERSION "6.5.80")
 
-set(PROJECT_DEP_VERSION "6.5.4")
+set(PROJECT_DEP_VERSION "6.4.90")
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")

=== debian/changelog ===
bluedevil (4:6.5.4+p24.04+vunstable+git20251211.0319-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 11 Dec 2025 03:19:08 +0000

## bluedevil 6.5.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(bluedevil)
-set(PROJECT_VERSION "6.5.80")
+set(PROJECT_VERSION "6.5.5")
 
-set(PROJECT_DEP_VERSION "6.4.90")
+set(PROJECT_DEP_VERSION "6.5.5")
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")

=== debian/changelog ===
bluedevil (4:6.5.5-0ubuntu2) resolute; urgency=medium

  * No-change rebuild for kf6-kio 6.22.1.

 -- Rik Mills <rikmills@kde.org>  Thu, 22 Jan 2026 21:29:47 +0000

bluedevil (4:6.5.5-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 13 Jan 2026 14:53:02 +0000

bluedevil (4:6.5.4-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 09 Dec 2025 11:15:17 +0000

bluedevil (4:6.5.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Nov 2025 12:05:34 +0000

bluedevil (4:6.5.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 04 Nov 2025 17:10:10 +0000

bluedevil (4:6.5.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 29 Oct 2025 05:44:28 +0000

bluedevil (4:6.5.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 20 Oct 2025 18:35:08 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: bluedevil
 Section: net
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
            Scarlett Moore <sgmoore@kde.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.18.0~),
                gettext,
                libkf6bluezqt-dev (>= 6.18.0~),
@@ -24,15 +25,16 @@
                libkf6svg-dev (>= 6.18.0~),
                libkf6widgetsaddons-dev (>= 6.18.0~),
                libkf6windowsystem-dev (>= 6.18.0~),
-               libplasma-dev (>= 6.5.4~),
+               libplasma-dev (>= 6.5.5~),
                qt6-base-dev (>= 6.9.0~),
                qt6-declarative-dev (>= 6.9.0~),
-               qt6-declarative-private-dev,
+               qt6-declarative-private-dev (>= 6.9.0~),
                shared-mime-info,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/plasma/bluedevil
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/bluedevil.git
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/bluedevil
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/bluedevil
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/bluedevil
+Rules-Requires-Root: no
 
 Package: bluedevil
 Architecture: linux-any
@@ -50,8 +52,7 @@
          qml6-module-qtquick-layouts,
          ${misc:Depends},
          ${shlibs:Depends},
-Recommends: libspa-0.2-bluetooth | pulseaudio-module-bluetooth,
-            systemsettings,
+Recommends: libspa-0.2-bluetooth, systemsettings,
 Description: KDE Bluetooth stack
  BlueDevil is a set of components which integrate Bluetooth in KDE.
  It contains:

## bluedevil 6.5.5+p24.04+vstable+git20260129.0449

=== debian/changelog ===
bluedevil (4:6.5.5+p24.04+vstable+git20260129.0449-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 29 Jan 2026 04:49:10 +0000

bluedevil (4:6.5.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Jan 2026 06:32:04 +1000

## bluedevil 6.5.5+p24.04+vstable+git20260201.0220

=== debian/changelog ===
bluedevil (4:6.5.5+p24.04+vstable+git20260201.0220-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 01 Feb 2026 02:20:17 +0000

## bluedevil 6.6.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(bluedevil)
-set(PROJECT_VERSION "6.5.5")
+set(PROJECT_VERSION "6.6.1")
 
-set(PROJECT_DEP_VERSION "6.5.5")
-set(QT_MIN_VERSION "6.9.0")
-set(KF6_MIN_VERSION "6.18.0")
+set(PROJECT_DEP_VERSION "6.6.1")
+set(QT_MIN_VERSION "6.10.0")
+set(KF6_MIN_VERSION "6.22.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")
 
 set(CMAKE_CXX_STANDARD 20)

=== debian/changelog ===
bluedevil (4:6.6.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.6.0)
  * New upstream release (6.6.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 28 Feb 2026 22:11:41 +0000

=== debian/control ===
--- 
+++ 
@@ -10,25 +10,25 @@
                debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               extra-cmake-modules (>= 6.18.0~),
+               extra-cmake-modules (>= 6.22.0~),
                gettext,
-               libkf6bluezqt-dev (>= 6.18.0~),
-               libkf6coreaddons-dev (>= 6.18.0~),
-               libkf6dbusaddons-dev (>= 6.18.0~),
-               libkf6doctools-dev (>= 6.18.0~),
-               libkf6i18n-dev (>= 6.18.0~),
-               libkf6jobwidgets-dev (>= 6.18.0~),
-               libkf6kcmutils-dev (>= 6.18.0~),
-               libkf6kio-dev (>= 6.18.0~),
-               libkf6notifications-dev (>= 6.18.0~),
-               libkf6service-dev (>= 6.18.0~),
-               libkf6svg-dev (>= 6.18.0~),
-               libkf6widgetsaddons-dev (>= 6.18.0~),
-               libkf6windowsystem-dev (>= 6.18.0~),
-               libplasma-dev (>= 6.5.5~),
-               qt6-base-dev (>= 6.9.0~),
-               qt6-declarative-dev (>= 6.9.0~),
-               qt6-declarative-private-dev (>= 6.9.0~),
+               libkf6bluezqt-dev (>= 6.22.0~),
+               libkf6coreaddons-dev (>= 6.22.0~),
+               libkf6dbusaddons-dev (>= 6.22.0~),
+               libkf6doctools-dev (>= 6.22.0~),
+               libkf6i18n-dev (>= 6.22.0~),
+               libkf6jobwidgets-dev (>= 6.22.0~),
+               libkf6kcmutils-dev (>= 6.22.0~),
+               libkf6kio-dev (>= 6.22.0~),
+               libkf6notifications-dev (>= 6.22.0~),
+               libkf6service-dev (>= 6.22.0~),
+               libkf6svg-dev (>= 6.22.0~),
+               libkf6widgetsaddons-dev (>= 6.22.0~),
+               libkf6windowsystem-dev (>= 6.22.0~),
+               libplasma-dev (>= 6.6.1~),
+               qt6-base-dev (>= 6.10.0~),
+               qt6-declarative-dev (>= 6.10.0~),
+               qt6-declarative-private-dev (>= 6.10.0~),
                shared-mime-info,
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/plasma/bluedevil

## bluedevil 6.6.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(bluedevil)
-set(PROJECT_VERSION "6.6.1")
+set(PROJECT_VERSION "6.6.2")
 
-set(PROJECT_DEP_VERSION "6.6.1")
+set(PROJECT_DEP_VERSION "6.6.2")
 set(QT_MIN_VERSION "6.10.0")
 set(KF6_MIN_VERSION "6.22.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")

=== debian/changelog ===
bluedevil (4:6.6.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.6.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 03 Mar 2026 12:20:32 +0000

=== debian/control ===
--- 
+++ 
@@ -25,7 +25,7 @@
                libkf6svg-dev (>= 6.22.0~),
                libkf6widgetsaddons-dev (>= 6.22.0~),
                libkf6windowsystem-dev (>= 6.22.0~),
-               libplasma-dev (>= 6.6.1~),
+               libplasma-dev (>= 6.6.2~),
                qt6-base-dev (>= 6.10.0~),
                qt6-declarative-dev (>= 6.10.0~),
                qt6-declarative-private-dev (>= 6.10.0~),
